/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "display/display.h"
#include "assert/assert.h"
#include "display/shaders/simpletexturedshader.h"
#include "display/backbuffer.h"
#include "display/font.h"
#include "display/mesh.h"
#include "display/frame.h"



void displayInit() {
  simpleTexturedShaderInit();
  fontInit();
  frameInit();
}

void displayUpdate() {
  frameUpdate();

  backBufferBind();
  backBufferClear();

  simpleTexturedShaderBind();
}

void displayDispose() {
  simpleTexturedShaderDispose();
  fontDispose();
}