/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "font.h"
#include <font8x8.h>

font_t FONT;

void fontInit() {
  memset(&FONT, 0, sizeof(FONT));

  // font is uint8_t[8] * count of chars
  size_t charCount = sizeof(font8x8_basic) / 8;

  int32_t totalPixels = charCount * 8 * 8;
  textureInit(
    &FONT.texture,
    totalPixels / 8, 8,
    TEXTURE_FORMAT_R,
    TEXTURE_DATA_FORMAT_UNSIGNED_BYTE
  );
}

void fontDispose() {
  textureDispose(&FONT.texture);
}